Package pygccxml :: Package parser :: Module project_reader :: Class file_configuration_t

# type file_configuration_t

source code

    object --+
             |
            file_configuration_t

    file_configuration_t - a class, that contains some data and description how
    to treat the data. file_configuration_t can contain reference to the next types
    of data:

    1) path to C++ source file

    2) path to `GCC-XML`_ generated XML file

    3) path to C++ source file and path to `GCC-XML`_ generated XML file

        In this case, if XML file does not exists, it will be created. Next time
        you will ask to parse the source file, the XML file will be used instead.

        Small tip: you can setup your makefile to delete XML files every time,
        the relevant source file has changed.

    4) Python string, that contains valid C++ code

    There are few functions, that will help you to construct file_configuration_t
    object:

    * L{create_source_fc}

    * L{create_gccxml_fc}

    * L{create_cached_source_fc}

    * L{create_text_fc}

Nested Classes
CONTENT_TYPE

Instance Methods

__init__(self, data, start_with_declarations=None, content_type=`'``standard source file``'`, cached_source_file=None) | source code

Properties
| data
| start_with_declarations
| content_type
| cached_source_file

Method Details

### __init__(self, data, start_with_declarations=None, content_type=`'``standard source file``'`, cached_source_file=None)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)

Property Details

### data

### start_with_declarations

### content_type

### cached_source_file